<?php

namespace Openguru\OpenCartFramework\Cache;

interface CacheInterface
{
    public function get(string $key);

    public function set(string $key, $value, ?int $ttlSeconds = null): void;

    public function delete(string $key): void;

    public function clear(): void;
}
